class CreateGekanatorQuestions < ActiveRecord::Migration[8.0]
  def change
    create_table :gekanator_questions do |t|
      t.string :text, null: false
      t.string :kind, null: false
      t.json :condition, null: false
      t.string :source, null: false, default: 'ai_generated'
      t.string :status, null: false, default: 'pending'
      t.float :priority_weight, null: false, default: 1.0
      t.references :gekanator_question_suggestion,
                   null: true,
                   foreign_key: true
      t.references :created_by,
                   null: true,
                   foreign_key: { to_table: :users }
      t.timestamps
    end
  end
end
